Bug 850342 - As a user I would like the organization selector at login to provide feedback once I have selected the org I wish to login to.
As a user I would like the organization selector at login to provide feedback...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Og Maciel
: Triaged
Depends On: 850336
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 10:12 EDT by Eric Sammons
Modified: 2013-03-27 16:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The organization selector on the login page did not display the selected organization name after selection. This bug fix corrects the behavior of the organization selector, which now displays an organization name after selection.
Story Points: ---
Clone Of: 850336
Environment:
Last Closed: 2012-12-04 14:53:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1543 normal SHIPPED_LIVE Important: CloudForms System Engine 1.1 update 2012-12-04 19:39:57 EST

  None (edit)
Description Eric Sammons 2012-08-21 10:12:45 EDT
+++ This bug was initially created as a clone of Bug #850336 +++

Description of problem:
Current as a user logging in to katello I select my org; however, once selected I get no feedback.

I would like the org list dropdown (div.jspPane / div.jspContainer) to roll backup and the text in the drop down, "Select an Organization" should be replaced with the org selected.  

Though the transition from the login page to the dashboard should be quick, it is often times not quick enough to be disappointed by the lack of feedback and as the system becomes loaded with content (systems, orgs, etc...) it will only become slower and more noticeable.
Comment 1 Jason E. Rist 2012-08-21 13:34:35 EDT
Fixed in 2c31f616e01869007f3b05286611075dfe81ff9d
Comment 4 Og Maciel 2012-09-14 17:21:26 EDT
Due to recent code changes, we only display the "Select an Organization" text if:
* The user has access to more than one Organization and doesn't have a default Org; the text is displayed upon login
* The user has no access at all to any Org; the text then shows up in the Dashboard

Upon selecting an Org from the available list, the dropdown does "roll up" and the "Select an Organization" text gets replaced with the selected Org's name.

Verified using:

* candlepin-0.7.8-1.el6cf.noarch
* candlepin-selinux-0.7.8-1.el6cf.noarch
* candlepin-tomcat6-0.7.8-1.el6cf.noarch
* katello-1.1.12-7.el6cf.noarch
* katello-all-1.1.12-7.el6cf.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1.el6cf.noarch
* katello-cli-1.1.8-4.el6cf.noarch
* katello-cli-common-1.1.8-4.el6cf.noarch
* katello-common-1.1.12-7.el6cf.noarch
* katello-configure-1.1.9-3.el6cf.noarch
* katello-glue-candlepin-1.1.12-7.el6cf.noarch
* katello-glue-pulp-1.1.12-7.el6cf.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.1.1-1.el6cf.noarch
* pulp-1.1.12-1.el6cf.noarch
* pulp-common-1.1.12-1.el6cf.noarch
* pulp-selinux-server-1.1.12-1.el6cf.noarch
Comment 6 errata-xmlrpc 2012-12-04 14:53:39 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1543.html

Note You need to log in before you can comment on or make changes to this bug.